Subject: dired-do-compress should check before attempting to read directories

From: Dan Jacobson <[email-masked]>
Date: Wed, 22 May 2024 14:35:38 +0800

$ tar tzvf plss00p020_nt00064.tar.gz
-rw-rw-rw- 0/0        24880644 2010-11-13 01:35 plss00p020.shp
-rw-rw-rw- 0/0        50551350 2010-11-13 01:35 plss00p020.dbf
-rw-rw-rw- 0/0          727452 2010-11-13 01:35 plss00p020.shx
-rw-rw-rw- 0/0           31363 2010-12-03 00:06 plss00p020.txt

Now in dired, use Z (runs the command dired-do-compress)

Compress or uncompress plss00p020_nt00064.tar.gz? (y or n) y

dired-insert-directory: Reading directory: No such file or directory, plss00p020_nt00064
emacs-version "29.3"

If it checked first to see if the directory it assumed was created was
really there, then it wouldn't have made an error.

Or it could be like unar, and make the directory, no matter what.